NoMethodError in IssuesController#new 

2008-05-04 15:05 - li wei

Status: Closed Start date: 2008-05-04

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

Redmine 0.6.3 update to Redmine 0.7.0 RC1 . when click "New issue" ,system reply :

NoMethodError in IssuesController#new 

History

#1 - 2008-05-04 15:07 - li wei

- File Action_Controller_Exception_caught.mht added

NoMethodError message attachment.

#2 - 2008-05-04 15:23 - li wei

- File add_attachment_messager.htm added

when add a file , system reply "+NoMethodError in IssuesController#edit+"

#3 - 2008-05-04 15:25 - Jean-Philippe Lang

- Status changed from New to Closed

You didn't migrate your database. See RedmineUpgrade.

#4 - 2008-05-04 17:40 - li wei

My Upgrading step is :

1. mysqldump redmine_production > redmine_production_v0.6.3.sql;

2. uninstall redmine(version 0.6.3);

2. reinstall redmine.0.7.0.RC1;

3. bin/mysql.exe source redmine_production_v0.6.3.sql;

I have not use "RedmineUpgrade" , and "RedmineUpgrade" is the only way ?

#5 - 2008-05-04 18:27 - li wei

After import redmine_production_v0.6.3.sql, all is ok, but "New issue" report "No Mehod Error".

#6 - 2008-05-04 19:31 - Jean-Philippe Lang

You have to migrate your Redmine database in order to make it work with the new version of Redmine.

Run this in your Redmine directory:

rake db:migrate RAILS_ENV="production"

 And restart the application.

#7 - 2008-05-05 05:07 - li wei

thanks a lot！ 非常感谢！

Files

Action_Controller_Exception_caught.mht 14.2 KB 2008-05-04 li wei

2024-05-15 1/2

https://www.redmine.org/projects/redmine/wiki/RedmineUpgrade


add_attachment_messager.htm 14.4 KB 2008-05-04 li wei

Powered by TCPDF (www.tcpdf.org)

2024-05-15 2/2

http://www.tcpdf.org

